package com.openbravo.support.test;

import java.util.Map;

import org.apache.log4j.Logger;
import org.codehaus.jettison.json.JSONException;
import org.codehaus.jettison.json.JSONObject;
import org.openbravo.client.application.process.BaseProcessActionHandler;
import org.openbravo.dal.service.OBDal;
import org.openbravo.model.common.enterprise.Locator;
import org.openbravo.model.materialmgmt.transaction.ShipmentInOutLine;

public class SetStorageBinHandler extends BaseProcessActionHandler {
  private final static Logger log = Logger.getLogger(SetStorageBinHandler.class);

  @Override
  protected JSONObject doExecute(Map<String, Object> parameters, String content) {
    try {
      JSONObject jsonRequest = new JSONObject(content);
      String mInoutLineId = jsonRequest.getString("inpmInoutlineId");
      JSONObject jsonparams = jsonRequest.getJSONObject("_params");
      String locatorID = jsonparams.getString("M_Locator");

      ShipmentInOutLine linea = (ShipmentInOutLine) OBDal.getInstance().get(
          ShipmentInOutLine.ENTITY_NAME, mInoutLineId);

      Locator bin = (Locator) OBDal.getInstance().get(Locator.ENTITY_NAME, locatorID);

      linea.setStorageBin(bin);
      linea.setDescription("Description");
      OBDal.getInstance().save(linea);
      OBDal.getInstance().flush();

      JSONObject request = new JSONObject();
      JSONObject msg = new JSONObject();
      msg.put("severity", "success");
      msg.put("text", "Success");
      request.put("message", msg);
      return request;
    } catch (JSONException e) {
    }
    return new JSONObject();
  }
}